import type { ExtensionAuto, ExtensionNodeSpec } from '../../../../core';
export declare const CodeBlockNodeAttr: {
    readonly Lang: "data-language";
    readonly Markup: "data-markup";
};
export declare const codeBlockNodeName = "code_block";
/** @deprecated Use __CodeBlockNodeAttr__ instead */
export declare const codeBlockLangAttr: "data-language";
export declare const codeBlockType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type CodeBlockSpecsOptions = {
    nodeview?: ExtensionNodeSpec['view'];
};
export declare const CodeBlockSpecs: ExtensionAuto<CodeBlockSpecsOptions>;
