"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Subscript = exports.subscript = exports.subscriptType = exports.subscriptMarkName = void 0;
const actions_1 = require("../../../utils/actions");
const inputrules_1 = require("../../../utils/inputrules");
const SubscriptSpecs_1 = require("./SubscriptSpecs");
var SubscriptSpecs_2 = require("./SubscriptSpecs");
Object.defineProperty(exports, "subscriptMarkName", { enumerable: true, get: function () { return SubscriptSpecs_2.subscriptMarkName; } });
Object.defineProperty(exports, "subscriptType", { enumerable: true, get: function () { return SubscriptSpecs_2.subscriptType; } });
/** @deprecated Use `subscriptMarkName` instead */
exports.subscript = SubscriptSpecs_1.subscriptMarkName;
const subAction = 'subscript';
const Subscript = (builder) => {
    builder.use(SubscriptSpecs_1.SubscriptSpecs);
    builder
        .addAction(subAction, ({ schema }) => (0, actions_1.createToggleMarkAction)((0, SubscriptSpecs_1.subscriptType)(schema)))
        .addInputRules(({ schema }) => ({
        rules: [
            (0, inputrules_1.markInputRule)({ open: '~', close: '~', ignoreBetween: '~' }, (0, SubscriptSpecs_1.subscriptType)(schema)),
        ],
    }));
};
exports.Subscript = Subscript;
