"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmojiConsts = exports.markupDataAttribute = exports.EmojiNodeAttrs = exports.emojiNodeType = exports.emojiNodeName = exports.emojiTokenName = void 0;
const schema_1 = require("../../../../utils/schema");
exports.emojiTokenName = 'emoji';
exports.emojiNodeName = exports.emojiTokenName;
exports.emojiNodeType = (0, schema_1.nodeTypeFactory)(exports.emojiNodeName);
exports.EmojiNodeAttrs = {
    Markup: 'markup',
};
exports.markupDataAttribute = 'data-emoji';
exports.EmojiConsts = {
    NodeName: exports.emojiNodeName,
    NodeAttrs: exports.EmojiNodeAttrs,
    nodeType: exports.emojiNodeType,
};
