"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderMathHint = exports.b = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const components_1 = require("@gravity-ui/components");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../../classname");
const math_hint_1 = require("../../../i18n/math-hint");
exports.b = (0, classname_1.cn)('MathHint');
const MathHintContent = function MathHintContent() {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        (0, math_hint_1.i18n)('math_hint'),
        ' ',
        react_1.default.createElement(uikit_1.Link, { href: 'https://katex.org/', target: 'blank' }, (0, math_hint_1.i18n)('math_hint_katex'))));
};
const MathHint = function MathHint(props) {
    return (react_1.default.createElement(components_1.HelpPopover, Object.assign({ placement: ['bottom-end', 'top-end'] }, props, { content: react_1.default.createElement(MathHintContent, null) })));
};
function renderMathHint(props, container) {
    return (react_1.default.createElement(uikit_1.Portal, { container: container },
        react_1.default.createElement(MathHint, Object.assign({}, props))));
}
exports.renderMathHint = renderMathHint;
