import type { IHTMLIFrameElementConfig } from '@diplodoc/html-extension/runtime';
import { Action, ExtensionAuto } from '../../../core';
import { YfmHtmlBlockAction } from './YfmHtmlBlockSpecs/const';
export declare type YfmHtmlBlockOptions = {
    useConfig?: () => IHTMLIFrameElementConfig | undefined;
};
export declare const YfmHtmlBlock: ExtensionAuto<YfmHtmlBlockOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [YfmHtmlBlockAction]: Action;
        }
    }
}
