import { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto, ExtensionNodeSpec } from '../../../../core';
export { TabsNode } from './const';
export declare const tabPanelType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const tabType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const tabsType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const tabsListType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type YfmTabsSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    tabPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
    tabView?: ExtensionNodeSpec['view'];
    tabsListView?: ExtensionNodeSpec['view'];
    tabPanelView?: ExtensionNodeSpec['view'];
    tabsView?: ExtensionNodeSpec['view'];
};
export declare const YfmTabsSpecs: ExtensionAuto<YfmTabsSpecsOptions>;
