"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonAttach = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const uikit_1 = require("@gravity-ui/uikit");
const ButtonAttach = ({ onUpdate, onChange, multiple, buttonProps, accept, children, }) => {
    const { controlProps, triggerProps } = (0, uikit_1.useFileInput)({ onUpdate, onChange });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("input", Object.assign({ type: "file", multiple: multiple, accept: accept }, controlProps)),
        react_1.default.createElement(uikit_1.Button, Object.assign({}, buttonProps, triggerProps), children)));
};
exports.ButtonAttach = ButtonAttach;
