"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HtmlBlockIcon = exports.DrawIoIcon = exports.LayoutIcon = exports.BlockIcon = exports.AnchorIcon = exports.FunctionBlockIcon = exports.FunctionInlineIcon = exports.CodeBlockIcon = exports.CodeInlineIcon = exports.EmojiIcon = exports.UserIcon = exports.ImageIcon = exports.CheckListIcon = exports.IframeIcon = exports.TableIcon = exports.HRuleIcon = exports.FileIcon = exports.NoteIcon = exports.CutIcon = exports.QuoteIcon = exports.LinkIcon = exports.TextColorIcon = exports.SinkIcon = exports.LiftIcon = exports.ListOlIcon = exports.ListBlIcon = exports.Heading6Icon = exports.Heading5Icon = exports.Heading4Icon = exports.Heading3Icon = exports.Heading2Icon = exports.Heading1Icon = exports.HeadingIcon = exports.TextIcon = exports.MarkIcon = exports.StrikethroughIcon = exports.UnderlineIcon = exports.ItalicIcon = exports.BoldIcon = exports.RedoIcon = exports.UndoIcon = exports.TabsIcon = exports.MonoIcon = exports.MermaidIcon = void 0;
const tslib_1 = require("tslib");
const Mermaid_1 = tslib_1.__importDefault(require("./Mermaid"));
exports.MermaidIcon = Mermaid_1.default;
const Mono_1 = tslib_1.__importDefault(require("./Mono"));
exports.MonoIcon = Mono_1.default;
const Tabs_1 = tslib_1.__importDefault(require("./Tabs"));
exports.TabsIcon = Tabs_1.default;
var icons_1 = require("@gravity-ui/icons");
Object.defineProperty(exports, "UndoIcon", { enumerable: true, get: function () { return icons_1.ArrowUturnCcwLeft; } });
Object.defineProperty(exports, "RedoIcon", { enumerable: true, get: function () { return icons_1.ArrowUturnCwRight; } });
//
Object.defineProperty(exports, "BoldIcon", { enumerable: true, get: function () { return icons_1.Bold; } });
Object.defineProperty(exports, "ItalicIcon", { enumerable: true, get: function () { return icons_1.Italic; } });
Object.defineProperty(exports, "UnderlineIcon", { enumerable: true, get: function () { return icons_1.Underline; } });
Object.defineProperty(exports, "StrikethroughIcon", { enumerable: true, get: function () { return icons_1.Strikethrough; } });
Object.defineProperty(exports, "MarkIcon", { enumerable: true, get: function () { return icons_1.FontCursor; } });
//
Object.defineProperty(exports, "TextIcon", { enumerable: true, get: function () { return icons_1.Text; } });
Object.defineProperty(exports, "HeadingIcon", { enumerable: true, get: function () { return icons_1.Heading; } });
Object.defineProperty(exports, "Heading1Icon", { enumerable: true, get: function () { return icons_1.Heading1; } });
Object.defineProperty(exports, "Heading2Icon", { enumerable: true, get: function () { return icons_1.Heading2; } });
Object.defineProperty(exports, "Heading3Icon", { enumerable: true, get: function () { return icons_1.Heading3; } });
Object.defineProperty(exports, "Heading4Icon", { enumerable: true, get: function () { return icons_1.Heading4; } });
Object.defineProperty(exports, "Heading5Icon", { enumerable: true, get: function () { return icons_1.Heading5; } });
Object.defineProperty(exports, "Heading6Icon", { enumerable: true, get: function () { return icons_1.Heading6; } });
//
Object.defineProperty(exports, "ListBlIcon", { enumerable: true, get: function () { return icons_1.ListUl; } });
Object.defineProperty(exports, "ListOlIcon", { enumerable: true, get: function () { return icons_1.ListOl; } });
//
Object.defineProperty(exports, "LiftIcon", { enumerable: true, get: function () { return icons_1.TextOutdent; } });
Object.defineProperty(exports, "SinkIcon", { enumerable: true, get: function () { return icons_1.TextIndent; } });
//
Object.defineProperty(exports, "TextColorIcon", { enumerable: true, get: function () { return icons_1.Font; } });
//
Object.defineProperty(exports, "LinkIcon", { enumerable: true, get: function () { return icons_1.Link; } });
Object.defineProperty(exports, "QuoteIcon", { enumerable: true, get: function () { return icons_1.QuoteClose; } });
Object.defineProperty(exports, "CutIcon", { enumerable: true, get: function () { return icons_1.Scissors; } });
Object.defineProperty(exports, "NoteIcon", { enumerable: true, get: function () { return icons_1.Sticker; } });
Object.defineProperty(exports, "FileIcon", { enumerable: true, get: function () { return icons_1.Paperclip; } });
Object.defineProperty(exports, "HRuleIcon", { enumerable: true, get: function () { return icons_1.Minus; } });
//
Object.defineProperty(exports, "TableIcon", { enumerable: true, get: function () { return icons_1.LayoutList; } });
//
Object.defineProperty(exports, "IframeIcon", { enumerable: true, get: function () { return icons_1.ChevronsExpandHorizontal; } });
Object.defineProperty(exports, "CheckListIcon", { enumerable: true, get: function () { return icons_1.SquareCheck; } });
Object.defineProperty(exports, "ImageIcon", { enumerable: true, get: function () { return icons_1.Picture; } });
Object.defineProperty(exports, "UserIcon", { enumerable: true, get: function () { return icons_1.Person; } });
Object.defineProperty(exports, "EmojiIcon", { enumerable: true, get: function () { return icons_1.FaceSmile; } });
//
Object.defineProperty(exports, "CodeInlineIcon", { enumerable: true, get: function () { return icons_1.Code; } });
Object.defineProperty(exports, "CodeBlockIcon", { enumerable: true, get: function () { return icons_1.FileCode; } });
//
Object.defineProperty(exports, "FunctionInlineIcon", { enumerable: true, get: function () { return icons_1.Function; } });
Object.defineProperty(exports, "FunctionBlockIcon", { enumerable: true, get: function () { return icons_1.CurlyBracketsFunction; } });
//
Object.defineProperty(exports, "AnchorIcon", { enumerable: true, get: function () { return icons_1.Hashtag; } });
Object.defineProperty(exports, "BlockIcon", { enumerable: true, get: function () { return icons_1.SquareDashedText; } });
Object.defineProperty(exports, "LayoutIcon", { enumerable: true, get: function () { return icons_1.LayoutColumns3; } });
//
Object.defineProperty(exports, "DrawIoIcon", { enumerable: true, get: function () { return icons_1.Pencil; } });
Object.defineProperty(exports, "HtmlBlockIcon", { enumerable: true, get: function () { return icons_1.FolderCode; } });
