"use strict";
var _AutocompletePopupCloser_view, _AutocompletePopupCloser_timer;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutocompletePopupCloser = void 0;
const tslib_1 = require("tslib");
const Autocomplete_1 = require("../extensions/behavior/Autocomplete");
class AutocompletePopupCloser {
    constructor(view) {
        _AutocompletePopupCloser_view.set(this, void 0);
        _AutocompletePopupCloser_timer.set(this, void 0);
        this.popupEscapeKeyHandler = () => {
            this.closeAutocomplete();
        };
        this.popupOutsideClickHandler = () => {
            if (!tslib_1.__classPrivateFieldGet(this, _AutocompletePopupCloser_view, "f").hasFocus()) {
                tslib_1.__classPrivateFieldSet(this, _AutocompletePopupCloser_timer, setTimeout(() => {
                    tslib_1.__classPrivateFieldSet(this, _AutocompletePopupCloser_timer, undefined, "f");
                    if (!tslib_1.__classPrivateFieldGet(this, _AutocompletePopupCloser_view, "f").hasFocus()) {
                        this.closeAutocomplete();
                    }
                }, 20), "f");
            }
        };
        tslib_1.__classPrivateFieldSet(this, _AutocompletePopupCloser_view, view, "f");
    }
    closeAutocomplete() {
        (0, Autocomplete_1.closeAutocomplete)(tslib_1.__classPrivateFieldGet(this, _AutocompletePopupCloser_view, "f"));
    }
    cancelTimer() {
        if (tslib_1.__classPrivateFieldGet(this, _AutocompletePopupCloser_timer, "f") !== undefined) {
            clearTimeout(tslib_1.__classPrivateFieldGet(this, _AutocompletePopupCloser_timer, "f"));
            tslib_1.__classPrivateFieldSet(this, _AutocompletePopupCloser_timer, undefined, "f");
        }
    }
}
exports.AutocompletePopupCloser = AutocompletePopupCloser;
_AutocompletePopupCloser_view = new WeakMap(), _AutocompletePopupCloser_timer = new WeakMap();
