import React from 'react';
import { EditorInt } from './Editor';
export declare const IN_RESIZE_CLASSNAME = "in-resize";
export declare type HorizontalDragProps = {
    leftElRef: React.RefObject<HTMLDivElement>;
    rightElRef: React.RefObject<HTMLDivElement>;
    wrapperRef: React.RefObject<HTMLDivElement>;
    editor: EditorInt;
    onEndMove?: (right: HTMLDivElement | null, left: HTMLDivElement | null) => any;
};
declare const HorizontalDragWrapper: React.FC<HorizontalDragProps & {
    isMounted: boolean;
}>;
export { HorizontalDragWrapper as HorizontalDrag };
