import type { Options, Trigger } from 'prosemirror-autocomplete';
export type { FromTo, AutocompleteAction, Trigger as AutocompleteTrigger, } from 'prosemirror-autocomplete';
export { ActionKind as AutocompleteActionKind } from 'prosemirror-autocomplete';
export interface AutocompleteHandler extends Pick<Options, 'onArrow' | 'onClose' | 'onEnter' | 'onFilter' | 'onOpen'> {
    onDestroy?: () => void;
}
export declare type AutocompleteItem = {
    trigger: Trigger;
    handler: AutocompleteHandler;
};
