import { Node } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
import { FileUploadHandler, UploadSuccessItem } from '../../../../utils/upload';
import { FilesBatchUploadProcess } from '../../../behavior/utils/upload';
import { FileSkeletonDescriptor } from './skeleton';
export declare abstract class YfmFilesUploadProcessBase extends FilesBatchUploadProcess {
    protected readonly createFile: ({ result, file }: UploadSuccessItem) => Node;
    constructor(view: EditorView, files: readonly File[], uploadHandler: FileUploadHandler);
    protected createSkeleton(): FileSkeletonDescriptor;
    protected abstract getSkeletonInitPos(): number;
    protected createPMNode(res: UploadSuccessItem): Promise<Node>;
}
