export declare const i18n: <G extends "error-title" | "settings_wysiwyg" | "settings_markup" | "settings_menubar" | "settings_hint" | "settings_split-mode" | "split-mode-text" | "settings_split-mode-hint" | "markup_placeholder" | "preview_hint", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    "error-title": string;
    settings_wysiwyg: string;
    settings_markup: string;
    settings_menubar: string;
    settings_hint: string;
    "settings_split-mode": string;
    "split-mode-text": string;
    "settings_split-mode-hint": string;
    markup_placeholder: string;
    preview_hint: string;
}[G] : string;
