const YfmHtmlBlockStyles = {
    colorTextPrimary: '--yfm-html-color-text-primary',
    colorTextSecondary: '--yfm-html-color-text-secondary',
    colorBackground: '--yfm-html-color-background',
    colorBackgroundSecondary: '--yfm-html-color-background-secondary',
    colorLink: '--yfm-html-color-link',
    colorLinkHover: '--yfm-html-color-link-hover',
    colorLinkVisited: '--yfm-html-color-link-visited',
    font: '--yfm-html-font',
    fontSize: '--yfm-html-font-size',
    fontFamily: '--yfm-html-font-family',
    lineHeight: '--yfm-html-line-height', // Line height of the text
};
export const getYfmHtmlBlockCssVariables = (styles) => {
    const obj = {};
    for (const key of Object.keys(styles)) {
        if (YfmHtmlBlockStyles[key]) {
            obj[YfmHtmlBlockStyles[key]] = styles[key];
        }
    }
    return obj;
};
