"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Selection = exports.findFakeParaPosClosestToPos = exports.findFakeParaPosForCodeBlock = exports.findFakeParaPosForTextSelection = exports.findFakeParaPosForNodeSelection = exports.createFakeParagraph = void 0;
const selection_1 = require("./selection");
var commands_1 = require("./commands");
Object.defineProperty(exports, "createFakeParagraph", { enumerable: true, get: function () { return commands_1.createFakeParagraph; } });
Object.defineProperty(exports, "findFakeParaPosForNodeSelection", { enumerable: true, get: function () { return commands_1.findFakeParaPosForNodeSelection; } });
Object.defineProperty(exports, "findFakeParaPosForTextSelection", { enumerable: true, get: function () { return commands_1.findFakeParaPosForTextSelection; } });
Object.defineProperty(exports, "findFakeParaPosForCodeBlock", { enumerable: true, get: function () { return commands_1.findFakeParaPosForCodeBlock; } });
Object.defineProperty(exports, "findFakeParaPosClosestToPos", { enumerable: true, get: function () { return commands_1.findFakeParaPosClosestToPos; } });
const Selection = (builder) => {
    builder.addPlugin(selection_1.selection);
};
exports.Selection = Selection;
