"use strict";
var _WidgetDescriptor_id, _WidgetDescriptor_initPos, _WidgetDescriptor_view, _WidgetDescriptor_getPos;
Object.defineProperty(exports, "__esModule", { value: true });
exports.WidgetDescriptor = void 0;
const tslib_1 = require("tslib");
const lodash_1 = require("../../../lodash");
const actions_1 = require("./actions");
const plugin_1 = require("./plugin");
class WidgetDescriptor {
    constructor(initPos, idPrefix) {
        _WidgetDescriptor_id.set(this, void 0);
        _WidgetDescriptor_initPos.set(this, void 0);
        _WidgetDescriptor_view.set(this, void 0);
        _WidgetDescriptor_getPos.set(this, void 0);
        tslib_1.__classPrivateFieldSet(this, _WidgetDescriptor_id, (0, lodash_1.uniqueId)(idPrefix), "f");
        tslib_1.__classPrivateFieldSet(this, _WidgetDescriptor_initPos, initPos, "f");
    }
    get id() {
        return tslib_1.__classPrivateFieldGet(this, _WidgetDescriptor_id, "f");
    }
    get initPos() {
        return tslib_1.__classPrivateFieldGet(this, _WidgetDescriptor_initPos, "f");
    }
    get view() {
        return tslib_1.__classPrivateFieldGet(this, _WidgetDescriptor_view, "f");
    }
    get getPos() {
        return tslib_1.__classPrivateFieldGet(this, _WidgetDescriptor_getPos, "f");
    }
    get pos() {
        var _a, _b;
        return (_b = (_a = this.getPos) === null || _a === void 0 ? void 0 : _a.call(this)) !== null && _b !== void 0 ? _b : this.initPos;
    }
    render(view, getPos) {
        tslib_1.__classPrivateFieldSet(this, _WidgetDescriptor_view, view, "f");
        tslib_1.__classPrivateFieldSet(this, _WidgetDescriptor_getPos, getPos, "f");
        return this.renderWidget(view, getPos);
    }
    applyTo(tr) {
        const meta = {
            type: 'add',
            descriptor: this,
        };
        return tr.setMeta(plugin_1.widgetDecorationPluginKey, meta);
    }
    rmDeco(tr) {
        return (0, actions_1.removeDecoration)(tr, this.id);
    }
}
exports.WidgetDescriptor = WidgetDescriptor;
_WidgetDescriptor_id = new WeakMap(), _WidgetDescriptor_initPos = new WeakMap(), _WidgetDescriptor_view = new WeakMap(), _WidgetDescriptor_getPos = new WeakMap();
