"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeYfmTable = void 0;
const prosemirror_utils_1 = require("prosemirror-utils");
const utils_1 = require("../utils");
const removeYfmTable = (state, dispatch) => {
    const parentTable = (0, prosemirror_utils_1.findParentNodeOfType)((0, utils_1.yfmTableType)(state.schema))(state.selection);
    if (!parentTable)
        return false;
    dispatch === null || dispatch === void 0 ? void 0 : dispatch((0, prosemirror_utils_1.removeParentNodeOfType)(parentTable.node.type)(state.tr));
    return true;
};
exports.removeYfmTable = removeYfmTable;
