import type { StateCommand } from '@codemirror/state';
export declare const insertLink: StateCommand;
export declare const insertAnchor: StateCommand;
export declare type ImageItem = {
    url?: string;
    title?: string;
    alt?: string;
    width?: string;
    height?: string;
};
export declare function insertImages(images: ImageItem[]): StateCommand;
export declare type FileItem = {
    src: string;
    name: string;
    type?: string;
};
export declare const insertFiles: (files: FileItem[]) => StateCommand;
