"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorLoggerBoundary = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_error_boundary_1 = require("react-error-boundary");
const logger_1 = require("../logger");
const ErrorLoggerBoundary = ({ children }) => (react_1.default.createElement(react_error_boundary_1.ErrorBoundary, { onError: (e) => {
        logger_1.logger.error(e);
    }, fallbackRender: () => {
        return null;
    } }, children));
exports.ErrorLoggerBoundary = ErrorLoggerBoundary;
