import type { Action, ExtensionAuto } from '../../../core';
import { LinkActionMeta, LinkActionParams } from './actions/linkActions';
export type { LinkActionParams, LinkActionMeta } from './actions/linkActions';
export { linkCommand } from './actions/linkActions';
export { normalizeUrlFactory } from './utils';
export { removeLink } from './commands';
export { LinkAttr, linkMarkName, linkType } from './LinkSpecs';
/** @deprecated Use `linkMarkName` instead */
export declare const link = "link";
declare const linkAction = "link";
declare const linkAction2 = "addLink";
export declare type LinkOptions = {
    linkKey?: string | null;
};
export declare const Link: ExtensionAuto<LinkOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [linkAction]: Action<LinkActionParams, LinkActionMeta>;
            [linkAction2]: Action;
        }
    }
}
