import { WYfmHtmlBlockNodeView } from './YfmHtmlBlockNodeView';
import { YfmHtmlBlockSpecs } from './YfmHtmlBlockSpecs';
import { YfmHtmlBlockAction } from './YfmHtmlBlockSpecs/const';
import { addYfmHtmlBlock } from './actions';
export const YfmHtmlBlock = (builder, options) => {
    builder.use(YfmHtmlBlockSpecs, {
        nodeView: YfmHtmlBlockNodeViewFactory(options),
    });
    builder.addAction(YfmHtmlBlockAction, () => addYfmHtmlBlock);
};
const YfmHtmlBlockNodeViewFactory = (options) => () => (node, view, getPos) => {
    return new WYfmHtmlBlockNodeView({ node, view, getPos, options });
};
