import React from 'react';
import { ClassNameProps } from '../classname';
export declare type LinkFormSubmitParams = {
    url: string;
    text: string;
};
export declare type LinkFormProps = ClassNameProps & {
    autoFocus?: boolean;
    initialUrl?: string;
    initialText?: string;
    readOnlyText?: boolean;
    onSubmit(params: LinkFormSubmitParams): void;
    onCancel(): void;
};
export declare const LinkForm: React.NamedExoticComponent<LinkFormProps>;
